| Elektra 0.11.0

Functions
meta.c File Reference

Methods for metadata manipulation. More...

`#include <kdb.h>`
`#include <kdbconfig.h>`
`#include <kdbease.h>`
`#include <kdbmeta.h>`
`#include <kdbprivate.h>`
`#include <kdbtypes.h>`

## Functions
const char * | keyComment (const Key *key)
| Return a pointer to the real internal `key` comment.
ssize_t | keyGetCommentSize (const Key *key)
| Calculates number of bytes needed to store a key comment, including final NULL.
ssize_t | keyGetComment (const Key *key, char *returnedComment, size_t maxSize)
| Get the key comment.
ssize_t | keySetComment (Key *key, const char *newComment)
| Set a comment for a key.
int | elektraKeyCmpOrder (const Key *ka, const Key *kb)
| Compare the order metadata of two keys.
void | elektraMetaArrayAdd (Key *key, const char *metaName, const char *value)
| creates an metadata array or appends another element to an existing metadata array e.g.
KeySet * | elektraMetaArrayToKS (Key *key, const char *metaName)
| Create a `KeySet` from a metakey array.
int | elektraSortTopology (KeySet *ks, Key **array)
| topological sorting
char * | elektraMetaArrayToString (const Key *key, const char *metaName, const char *delim)
| returns the metakey array as a string separated by delim

## Detailed Description

Methods for metadata manipulation.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)